Status: New Start date: 2010-07-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be useful to have two more options that individual users can set:

1) "Never"

2) "Only for things I watch"

The second is nice for people that are involved in a large number of issues but only want to receive updates on some of them.

Related issues:

Related to Redmine - Feature #6914: Allow reporter to opt out from receiving ... New 2010-11-16

Related to Redmine - Feature #37978: New email notification option - Only for... New

History

#1 - 2010-07-16 19:06 - xt zhang

Jim Naslund wrote:

It would be useful to have two more options that individual users can set:

1) "Never"

2) "Only for things I watch"

The second is nice for people that are involved in a large number of issues but only want to receive updates on some of them.

 +1 to "Never"

The 2) is also not a bad idea.

#2 - 2010-08-10 21:51 - Sepp _

+1 to "Only for things I watch". I have someone who submits all of my issues. he doesn't want to get an email just because of that!

#3 - 2010-10-25 22:17 - Diego Felipe

+1 to "Only for things I watch".

I have someone who submits all of my issues. he doesn't want to get an email just because of that!

Every time the task changes, it's creator is notified.

Any chances to get this done?

Thanks in advanced.

#4 - 2010-10-26 15:05 - Diego Felipe

You can disable creators from receiving emails notification by comment the following line at issue.rb located in app/models

notified << author if author && author.active?

After commenting this line the creator is not notified anymore. If you want him to be notified, just include his user as watchers.

This is enough for me.

#5 - 2011-03-23 11:57 - Toshi MARUYAMA

- Category set to Email notifications

#6 - 2017-10-12 15:29 - @ go2null
1) Never is a duplicate of Feature #1935 An option to completely disable email notifications

#1935#note-18

Indeed, silently committed with r4216 for version 1.1.0.

 2) "Only for things I watch" is still an outstanding request.

#7 - 2017-10-12 16:14 - Go MAEDA

- Related to Feature #6914: Allow reporter to opt out from receiving email updates added

#8 - 2024-01-21 02:52 - Go MAEDA

- Related to Feature #37978: New email notification option - Only for things I watch added
